      SUBROUTINE RASNR(IX0,IY0,IDX,IDY,NX,NY,IX,IY,ICEL) 
* 
*---- Zet het coordinatenpaar (IX, IY) om in een rasternummer ICEL.
*     IX en IY vormen het linker-onder hoekpunt van ICEL. ICEL is  
*     gedefinieerd in een NX * NY matrix met cellen van DX bij DY, 
*     opgehangen aan het coordinatenpaar links-onder (IX0,IY0). 
* 
*---- J.P.M. Witte, LUW, 130594
*     Laatste herziening: 230694
*
***** *************************************************************** 
*
      IYPOS=(IY-IY0)/IDY 
      IXPOS=(IX-IX0)/IDX+1 
      ICEL=IYPOS*NX + IXPOS 
      IF (IYPOS.GT.NY.OR.IYPOS.LT.0.OR.
     #IXPOS.GT.NX.OR.IXPOS.LT.0.OR.ICEL.LE.0.OR.ICEL.GT.NX*NY) THEN 
         CALL BELL(1)
         WRITE(6,*)'IX=',IX,' IY=',IY 
         WRITE(6,*)'IXPOS=',IXPOS,' IYPOS=',IYPOS 
         WRITE(6,*)'ICEL=',ICEL
         STOP 'FOUT RASNR' 
      END IF 
*
      RETURN 
* 
      END